Skip to main content
GET
/
organizations
/
{organizationId}
/
users
List users in an Organization
curl --request GET \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/users \
  --header 'Authorization: Bearer <token>'
{
  "limit": 10,
  "offset": 0,
  "totalCount": 100,
  "users": [
    {
      "avatarUrl": "https://avatar.url",
      "createdAt": "2022-11-22T04:37:12Z",
      "fullName": "Jane Doe",
      "id": "clm9sq6s0000008kz7uvl7yz7",
      "status": "ACTIVE",
      "updatedAt": "2022-11-22T04:37:12Z",
      "username": "user1@company.com",
      "dagRoles": [
        {
          "deploymentId": "clm8t5u4q000008jq4qoc3031",
          "role": "DAG_VIEWER",
          "dagId": "my_dag",
          "dagTag": "team-a"
        }
      ],
      "deploymentRoles": [
        {
          "deploymentId": "clm8t5u4q000008jq4qoc3031",
          "role": "DEPLOYMENT_ADMIN"
        }
      ],
      "organizationRole": "ORGANIZATION_MEMBER",
      "workspaceRoles": [
        {
          "role": "WORKSPACE_MEMBER",
          "workspaceId": "clm8t5u4q000008jq4qoc3036"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization to list users for.

Query Parameters

workspaceId
string

The ID of the Workspace to filter the list of users for. When specified, the API returns only users belonging to the specified Workspace.

deploymentId
string

The ID of the Deployment to filter the list of users for. When specified, the API returns only users belonging to the specified Deployment.

dagId
string

The ID of the DAG to filter the list of users for. When specified, the API returns users belonging to the specified DAG.

dagTags
string[]

The Tags of the DAG to filter the list of users for. When specified, the API returns users belonging to the specified DAG tags.

offset
integer
default:0

Offset for pagination

Required range: x >= 0
limit
integer
default:20

Limit for pagination

Required range: 0 <= x <= 1000
sorts
enum<string>[]

Sorting criteria, each criterion should conform to format 'fieldName:asc' or 'fieldName:desc'

Available options:
id:asc,
id:desc,
username:asc,
username:desc,
fullName:asc,
fullName:desc,
createdAt:asc,
createdAt:desc,
updatedAt:asc,
updatedAt:desc

Response

OK

limit
integer
required

The maximum number of users in one page.

Example:

10

offset
integer
required

The offset of the current page of users.

Example:

0

totalCount
integer
required

The total number of users.

Example:

100

users
object[]
required

The list of users in the current page.